! Copyright (c) 2024 The YAC Authors
!
! SPDX-License-Identifier: BSD-3-Clause

#include "test_macros.inc"

program test_version

  use utest
  use yac, only : yac_fget_version
  implicit none

  call start_test("yac_version")

  print *, 'YAC Version: ' // TRIM(yac_fget_version())

  call stop_test

  call exit_tests

end program test_version

